Page MenuHomePhabricator

Bihari wiki has no name attribute assigned in sitematrix
Closed, ResolvedPublic

Description

If you look at https://en.wikipedia.org/w/api.php?action=sitematrix&format=xml
the Bihari wiki is there under code bh but has no name attribute

Event Timeline

Magioladitis assigned this task to Reedy.
Magioladitis raised the priority of this task from to Needs Triage.
Magioladitis updated the task description. (Show Details)
Magioladitis added a project: MediaWiki-API.
Magioladitis added a subscriber: Magioladitis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 9:38 AM
Magioladitis set Security to None.May 14 2015, 9:39 AM
Magioladitis added a subscriber: Rjwilmsi.
Nemo_bis renamed this task from Bihari wiki has no attribute assigned to Bihari wiki has no name attribute assigned in sitematrix.May 14 2015, 11:50 AM
Nemo_bis triaged this task as High priority.
Nemo_bis edited projects, added SiteMatrix; removed MediaWiki-API.
Nemo_bis added a subscriber: Nemo_bis.

The "bh" language code was removed (T91240: "bh" is not a valid language code) and bhwiki uses "bho" but sitematrix incorrectly believes the wiki is in "bh" language. There is no name for the incorrect code.

Where does sitematrix fetch the incorrect code from?

Anomie added a subscriber: Anomie.May 14 2015, 1:24 PM

Where does sitematrix fetch the incorrect code from?

On the cluster, it appears it gets the list of codes from the file langlist in the operations/mediawiki-config repo. But since the wiki itself is still "bh.wikipedia.org" with database name "bhwiki", I'd be wary that simply changing that would break something.

TTO added a subscriber: TTO.EditedMay 14 2015, 1:29 PM

IMO https://gerrit.wikimedia.org/r/193802 should be reverted. Names.php contains a bunch of "invalid"/"wrong" language codes (e.g. als, be-x-old) that are needed for backward compatibility and also to make the WMF cluster work in its current configuration.

Whether this fixes the problem or not, I can't say, but it should still happen regardless. A proper solution to the mess of legacy language codes needs to be figured out, not just a piecemeal approach that breaks various things along the way.

Chris_the_speller raised the priority of this task from High to Unbreak Now!.May 14 2015, 3:52 PM

I get the feeling that the people who are involved here fail to grasp that AWB users all over the world are hors de combat. We need to have https://gerrit.wikimedia.org/r/193802 reversed

I have uploaded an AWB snapshot release to https://sourceforge.net/projects/autowikibrowser/files/autowikibrowser/Snapshots/ named 5.5.6.0-S, this is the 5.5.6.0 release with a workaround for the Bihari wiki not having a name.

Names.php contains a bunch of "invalid"/"wrong" language codes

"A bunch" is an exaggeration. Most of the incorrect language codes are valid under at least one standard and/or are not used as a wiki's language code. "bh" is a unique case of egregious typo.

I am temp admin on bhwiki. I list here some old discussions (I never participated, I am still not much technical to understand these things):

https://phabricator.wikimedia.org/T41968

https://bugzilla.redhat.com/show_bug.cgi?id=677570

plz see!

Change 211119 had a related patch set uploaded (by Nemo bis):
Fetch the actual wgLanguageCode when we miserably failed

https://gerrit.wikimedia.org/r/211119

Reedy removed Reedy as the assignee of this task.May 17 2015, 12:02 AM
Reedy added a subscriber: Reedy.

Change 211906 had a related patch set uploaded (by Nemo bis):
Revert "Remove invalid language code "bh" (alias of "bho")"

https://gerrit.wikimedia.org/r/211906

Change 211906 merged by jenkins-bot:
Revert "Remove invalid language code "bh" (alias of "bho")"

https://gerrit.wikimedia.org/r/211906

Is the priority of this task still correct or should it be lowered?
This task has been "Unbreak now" priority but no activity for nearly one month.
https://gerrit.wikimedia.org/r/#/c/211906/ was reverted in https://gerrit.wikimedia.org/r/#/c/211906/

(And Nemo_bis' patch in https://gerrit.wikimedia.org/r/#/c/211119/ for SiteMatrix is still awaiting review.)

Anything happening regarding this task??

Somebody needs to review Nemo_bis' patch in https://gerrit.wikimedia.org/r/#/c/211119/ for SiteMatrix .
CC'ed as reviewers in Gerrit are @Anomie and @Nikerabbit - is that correct or are there better candidates?

Has this been fixed? https://en.wikipedia.org/w/api.php?action=sitematrix shows a name after the "code": "bh"

Krenair lowered the priority of this task from Unbreak Now! to High.Jul 28 2015, 12:42 AM

Has this been fixed? https://en.wikipedia.org/w/api.php?action=sitematrix shows a name after the "code": "bh"

@Magioladitis: ^ ?

Magioladitis closed this task as Resolved.Aug 23 2015, 11:57 AM
Magioladitis claimed this task.

Problem resolved